# 1. Hardening

Depuis un terminal, faire un copié/collé du code ci-dessous

```shell
sudo apt update
sudo apt install -y git
git clone https://gitea.tips-of-mine.com/hcornet/Hardening-Linux-Debian-Ubuntu.git
```

# 2. Installation

Depuis un terminal, faire un copié/collé du code ci-dessous

```shell
cd Hardening-Linux-Debian-Ubuntu/
chmod +x * -R
sudo ./main.sh
```

## package_management.sh

Mise en place de la configuration **proxy**, puis lancement de l'update.
Ainsi que l'installation des quelque package supplémentaire.

S'il y a un paramétrage pour le proxy, il faut être saisie dans le fichier : **custom_proxy**

```
# variables

HTTP_PROXY="serv-proxy.tips-of-mine.local"
HTTPS_PROXY="serv-proxy.tips-of-mine.local"
FTP_PROXY="serv-proxy.tips-of-mine.local"
```

## ssh_hardening.sh

Mise en place de la **ssh** pour de profile **root** et des profile **non-root**.

S'il y a un paramétrage pour rajouter des clé ssh, il faut être saisie dans le fichier : **custom_key**

```
# Variable
ssh-rsa AAAAB3NzaC1yc2EAAAADAQA
```

## firewall.sh

Mise en place de la configuration **firewall** local.

## fail2ban.sh

Mise en place de la configuration pour le **fail2ban**.

## auditing.sh

Mise en place de la configuration pour l'**audit**.

## dns_config.sh

Mise en place de la configuration pour le **dns**.

S'il y a un paramétrage pour rajouter des serveurs DNS, il faut être saisie dans le fichier : **custom_dns**

```
# Variable
```

## ntp.sh

Mise en place de la configuration pour le **NTP**.

## auto_updates.sh

Mise en place de la configuration pour l'**auto update**.

## antivirus.sh

Mise en place de la configuration pour l'**antivirus**.

## custom_prompt.sh

Mise en place de la configuration pour le **prompt de connexion**.

## glpi_agent.sh

Mise en place de la configuration pour l'**agent GLPI**.

Il y a un paramétrage à modifier, il faut être saisie dans le fichier : **custom_glpi**

```
# variables

GLPI_SERVER="glpi.tips-of-mine.fr"
GLPI_TAG="SecuredServer"
```

## wazuh_agent.sh

Mise en place de la configuration pour l'**agent Wazuh**.

Il y a un paramétrage à modifier, il faut être saisie dans le fichier : **custom_wazuh**

```
# variables

WAZUH_MANAGER="10.0.4.100"
```

## monitoring.sh

Mise en place de la configuration pour le **SNMP** et **NRPE**.

Il y a un paramétrage à modifier, il faut être saisie dans le fichier : **custom_snmp**

```
# variables

SNMP_SYSLOCATION="Server Room"
SNMP_SYSCONTACT="admin@tips-of-mine.fr"
SNMP_SYSNAME="$(hostname)"
SNMP_SYSDESCR="Linux $(uname -r) on $(uname -m)"
SNMP_AGENTADDRESS="10.0.4.190,10.0.4.191"

```

Il y a un paramétrage à modifier, il faut être saisie dans le fichier : **custom_monitoring**

```
# variables

NAGIOS_SERVER_IP="10.0.4.190,10.0.4.191"
```

## additional_hardening.sh

Mise en place de la configuration .

# 3. Update des sources

Depuis un terminal, Aller dans le dossier.

```shell
cd Hardening-Linux-Debian-Ubuntu/
```

Faire un copié/collé du code ci-dessous
```shell
git fetch

git rebase origin/master
```